:root {
	--color1: #d4a373;
	--color2: #faedcd;
	--color3: #fefae0;
	--color4: #ccd5ae;
	--colorbgl: #fcf3e7;
	--colorl: #8a615c;
	--colordark: #262220;
	--font-family1: "cardo", serif;
	--font-family2: "Poiret One", cursive;
	--font-family3: "Marck Script", cursive;
	scroll-behavior: smooth;
	max-width: 100%;
	color: #262220;
}
@keyframes appear_on_load {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
.bold {
	font-weight: 900;
}
.bar {
	width: 100%;
	height: 6px;
	background-color: var(--colorl);
	border-radius: .5rem;
	transition: all .3s ease-in-out;
}
.burger-container {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	height: 1.5rem;
	width: 1.9rem;
	position: fixed;
	top: .5rem;
	left: .5rem;
	z-index: 999;
	transition: all .3s ease-in-out;
}
 .top-active {
	transition: all .3s ease-in-out;
	transform-origin: center;
	transform: translateY(9px) rotate(45deg);
}
.middle-active {
	transition: all .3s ease-in-out;
	opacity: 0;
}
.bottom-active {
	transition: all .3s ease-in-out;
	transform-origin: center;
	transform: translateY(-9px) rotate(-45deg)  ;
}

header {
	display: flex;
	justify-content: center;
	align-items: center;
	position : relative;
	border : 1px solid red;
	min-width: 100%;
	position: relative;
	
}


body {
	margin: 0;
	padding: 0;
	background-repeat: no-repeat;
	background-size: cover;
	min-width: 100%;
	overflow-x: hidden;
	background-color: var(--colorbgl);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

main {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	scroll-snap-type: y mandatory;
	min-height: 100vh;
}
h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: var(--font-family1);
	color: var(--colorl);
	/* text-shadow: 0 0 3px rgba(0, 0, 0, 0.712); */
	margin: 0;
	text-align: center;
}
.location {
	display: none;
}
.home-name {
	font-size: 7rem;
	transition: all 0.8s ease;
	display: block;
	font-weight: 200;
	max-width: 50%;
}
.home-logo {
	display: none;
}
h2 {
	font-size: 3rem;
	max-width: 70%;
	font-weight: 400;
	margin-top: 3rem;
	/* display: none; */
	
}
section {
	/* scroll-margin-top: 3rem; */
	position: relative;
	min-width: 100%;
	min-height: fit-content;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	scroll-snap-align: center;
	/* border: 3px solid green; */
}
.main-methode-section p {
	max-width: 50%;
	position: relative;
	overflow-x: scroll;
}
.main-methode-section {
	min-width: 100vw;
	position: relative;
}
.desc-container {
	border: 2px solid red;
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
}
.locaux-container {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	gap: 5rem;
}
.locaux-container p {
	max-width: 30%;
	border: 3px double var(--colorl);
	padding: 3rem;
}

iframe {
	width: 500px;
	height: 300px;
	border: 0;
	border-radius: 1.5rem;
	box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
		rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}
h3 {
	margin-top: 2rem;
	font-size: 3rem;
	font-weight: 600;
	font-family: var(--font-family1);
	opacity: 0;
	padding: 0 2rem;
	animation: appear-on-load 0.3s 1s ease-in-out;
	display: none;
}
h4 {
	font-size: 2rem;
	font-weight: 400;
	font-family: var(--font-family1);
	opacity: 0;
	padding: 0 2rem;
	display: none;
}
h5 {
	font-size: 3rem;
	font-family: var(--font-family1);
	font-weight: 100;
	/* margin-top: 3rem;  */
	position: absolute;
	top: 4rem;
}
h6 {
	/* font-size: 3rem; */
	font-weight: 400;
}

.qui-section {
	position: relative;
	display: flex;
	flex-grow: 1;
	flex-direction: column;
	justify-content:center;
	align-items: center;
	width: 100%;
}
.qui-section main {
	position: relative;
	display: flex;
	flex-grow: 1;
	flex-direction: row;
	justify-content:flex-start;
	align-items: center;
	width: 100%;	
}



.qui-section .p-container {
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	align-items: space-evenly;
	max-width: 50%;
	border: 3px double var(--colorl);
	padding: 1rem;
	border-radius: 0.5rem;
	backdrop-filter: blur(10px);
	justify-self: center ;
}


.qui-section .p-container p {
	max-width: 100%;
	font-size: 1.2rem;
}

.background {
	max-width: 100%;
	min-height: 100%;
	/* filter: blur(10px); */
	position: fixed;
	top: 0;
	left: 0;
	z-index: -1;
}
section {
	min-width: 100vw;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	position: relative;
	padding-top: 4.5rem;
}
nav {
	display: flex;
	background-color: #fff;
	min-width: 100%;
	justify-content: center;
	align-items: center;
	font-family: var(--font-family1);
	color: #8a615c;
	position: fixed;
	z-index: 999;
	transition: all .3s ease;
	top: 0;
}
nav:hover ul {
	margin: 1rem 0;
	transition: all .3s ease;
}
nav:hover ul {
	
}
ul {
	transition: all .3s ease;
	list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
	justify-content: center;
	align-items: center;
}
li {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 1rem;

	
}
a {
	text-decoration: none;
	color: inherit;
	display: block;

}

a:hover {
	color: var(--color1);
	/* text-shadow: 0 0 5px rgb(0, 0, 0); */
	transition: all 0.3s ease;
}
p {
	backdrop-filter: blur(4px);
	font-family: var(--font-family1);
	font-weight: 900;
	font-size: 1.2rem;
	text-align: left;
	max-width: 50%;
	font-weight: 500;
}
span {
	/* font-weight: bold; */
}
.italic {
	font-style: italic;
	font-weight: normal;
}
.underlined {
	font-weight: normal;
	text-decoration: underline;
}
footer {
	padding: .8rem;
	width: 100%;
	background-color: var(--colorbgl);
	position: relative;
	bottom: 0;
	left: 0;
	display: flex;
	flex-direction: row;
	justify-content: space-around;
	align-items: center;
	min-height: 5rem;
}
footer p {
	font-size: 1rem;
	color: var(--colorl);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	flex-wrap: nowrap;
	margin: 0;
	font-family: var(--font-family1);
	text-align: center;
	
}
.logo {
	height: 6rem;
	position: absolute;
	top: 1rem;
	left: 1rem;
	border-radius: 1rem;
	display: inline;
}
.logo-link {
	cursor: pointer;
}
.planning_container {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	min-width: fit-content;
	min-height: fit-content;
}
.day_container {
	min-height: 50vh;
	min-width: 10vw;
	/* background-color: var(--colordark); */
	margin: 0.5rem;
	/* border: 1px solid var(--colorl); */
	border-radius: 0.5rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 0.2rem;
	/* position: relative; */
	transition: all 0.2s ease-in-out;
}
.day_container:hover h6 {
	font-weight: 600;
	transition: all 0.2s ease-in-out;
}
.hour_container {
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: #d4a373;
	border-radius: 0.5rem;
	height: 2.8rem;
	width: 90%;
	margin: 0.1rem;
	transition: all 0.5s ease-in-out;
}
.hour_container:hover {
	box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px,
		rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px,
		rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
	filter: brightness(120%);
	transition: all 0.1s ease-in-out;
}
.day_container h6 {
	font-size: 2rem;
	color: var(--colordark);
}
.form {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	padding: 3rem;
	position: relative;
}

input,
select {
	margin-top: 1rem;
	border-radius: 5px;
	padding: 0.5rem;
	background-color: #faedcd;
	border: none;
	text-align: center;
	min-width: 100%;
}
label {
	font-family: var(--font-family1);
	text-align: center;
}
.slide-out {
	transform: translateY(100rem);
	transition: all 0.3s 0.5s ease-in-out;
}
.slide-in {
	transform: translateY(0rem);
	transition: all 0.3s 0.5s ease-in-out;
}
.links-container {
	display: flex;
	flex-direction: row;
	justify-content: space-evenly;
	align-items: center;
	min-width: 100%;
	position: absolute;
	bottom: 6rem;
}
.piano-pic {
	display: none;
}

button {
	margin-top: 1rem;
	padding: 0.5rem 0.8rem;
	background-color: var(--colorl);
	border: none;
	border-radius: 5px;
	font-family: var(--font-family1);
	font-size: 1.2rem;
	transition: all 0.3s ease;
	cursor: pointer;
	color: var(--colorbgl);
	margin-top: 2rem;
}
button:hover {
	filter: brightness(90%);
	box-shadow: rgba(0, 0, 0, 0.259) 0px 0px 15px;
	transition: all 0.3s ease;
}
.hidden {
	opacity: 0;
	visibility: hidden;
	/* display: none; */
	transition: all 0.5s ease;
}
.show {
	opacity: 1;
	/* display: block; */
	transition: all 0.5s ease;
}
.mail {
	display: none;
}
.tel {
	display: block;
	color : var(--colorl);
	position: absolute;
	right: 1rem;
	top: 3rem;
	border: 3px double var(--colorl);
	border-radius: 1rem;
	padding: .5rem;
	cursor: pointer;
	z-index: 999;
	transition: all .3s ease-in-out;
}
.tel:hover {
	scale: 1.05;
	transition: all .3s ease-in-out;
	color: #8a615c;
}

#method-description,
#adultes-description,
#enfants-description {
	border: 3px double var(--colorl);
	border-radius: 0.5rem;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	padding: 3rem;
	position: absolute;
	top: 12rem;
	min-width: 70%;
	max-height: 20rem;
	overflow-y: scroll;
}
#method-description p,
#adultes-description p,
#enfants-description p {
	min-width: 100%;
}
.method-subtitle, .tarifs-subtitle {
	color: var(--colorl);
	font-size: 1.3rem;
	font-weight: bolder;
}
	.location-mobile-version {
		display: none;
		
	}

.tarifs-section .p-container {
	border: 3px double var(--colorl);
	min-width: 70%;
	max-height: 30rem;
	overflow-y: hidden;
	padding: 3rem;
	border-radius: 0.5rem;
}
.tarifs-section .p-container p {
	min-width: 100%;
	text-align: center;
	border-radius: 0.5rem;
}
.tarifs-p-container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}
.tarifs-container {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	min-width: 100%;
	flex-wrap: wrap;
	min-height: fit-content;
	overflow-y: scroll;
}
.first-class {
	font-size: 1.2rem;
}
.avis-container {
	border: 3px double var(--colorl);
	max-width: 70%;
	max-height: 30rem;
	overflow-y: scroll;
	padding: 3rem;
	border-radius: 0.5rem;
	display: flex;
	flex-wrap: wrap;
	justify-content: flex-start;
	align-items: center;
}
.avis-container > p {
	max-width: 100%;
}
form {
	border: 3px double var(--colorl);
	padding: 1rem;
	border-radius: 0.5rem;
}
.mobile-version-reserver {
	display: none;
}
.photos-section {
	position: relative;
	width: min(100vh, 100%);
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	flex-wrap: wrap;
	gap: 1rem;
	margin-bottom : 5rem ;
	min-width: 100vw;
}
.photos-section img {
	max-width: 30%;
	border-radius: 1rem;
}
.cgv {color: var(--colorl);
}
 .je-me-deplace {
	position: absolute;
	top: 5rem;
	min-width: 70vw;
	font-size: 1rem;
	left: 10rem;
	padding: 0;
}



/* Media queries  */
@media (max-width : 950px) {
	html {
		position: relative;
	}
	body{
		padding: 0;
		margin: 0
	};
	.home-name {
		font-size: 3.5rem;
		display: none;
	}

	h2 {
		/* font-size: 2rem; */
		display: none;
		/* margin-top: 1rem; */
	}
	h3 {
		font-size: 1.5rem;
		display: none;
	}
	h4 {
		font-size: 1.5rem;
		display: none;
	}
	h5 {
		position: relative;
		font-size: 2rem;
	}
	* {
		box-sizing: border-box;
	}
	
	ul {
		/* display: none; */
		transform: translateY(-500px);
		transition: all .3s ease;
		
	}
	ul li {
		opacity: 1;
	}
	nav {
		transform: translateY(-130px);
		top:0;
		/* border-radius: 0 0 2rem 2rem; */
	}
	.nav-slide-in {
		transform: translateY(0px);
	}
	
	.mobile-version-reserver {
		display: block;
	}
	.profile_pic {
		max-width: 32%;
		float: left;
		position: absolute;
		z-index: 1;
		left: 1rem; 
		top: 0; 
	}
	.qui-section .p-container {
		position: absolute;
		border: none;
		background-color: none;
		backdrop-filter: none;
		max-height: 100%;
		min-width: 100%;
		top: 3.5rem;
		padding: 1rem;
	}
	.qui-section .p-container p {
		font-size: 1rem;
		max-width: 100%;
	}
	.qui-section .p-container p:nth-child(1) {
		align-self: flex-end;
		font-size: 1rem;
		max-width: 50%;
	}
	.qui-section p {
		position: relative;
		width: 100%;
		text-align: left;
	}
	.qui-section main {
		position: relative;
		max-height: 100vh;
		display: grid;
		/* flex-direction: row;
		flex-wrap: wrap;
		justify-content: center;
		align-items: center; */
		padding: 0;
	}
	
	section {
		padding: 0;
		max-width: 100%;
	}
	p {
		backdrop-filter: none;
		width: 100%;
		margin: .5rem 0;
	}
	footer {
		flex-direction: column;
		font-size: .8rem;
	}
	footer p {
		max-width: 100%;
	}
	footer .footer-mentions, footer .footer-contact {
		max-width: 100%;
	}
	footer .footer-contact {
		margin-bottom : 2rem;
		border-bottom: 2px solid var(--colorl);
		padding-bottom: 1rem;
	}
	iframe {
		display : none;
	}
	.background {
		max-width: 100%;
		filter: blur(10px);
	}
	.burger-container {
		z-index: 9999;
	}
	.column-display {
		display: block;
		flex-direction: column;
		transform: translateY(0px);
	}
	.method-section {
		position: relative;
		min-height: 100vh;
		overflow-y: hidden;
	}
	.methode-section  main {
		position: relative;
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		min-width: 100%;
		max-height: 100vh;
	}
	.methode-section p {
		position: relative;
		word-break: keep-all;
		
	}
	
	.method-subtitle {
		visibility: visible;
	
	}
	.method-section-h5 {
		display: none;	
	}
	#method-description {
		min-width: 100%;
		min-height: 100%;
	}
	.method-subtitle {
		text-align: left;
		font-size: 1.2rem;
	}
		#method-description,
		#adultes-description,
		#enfants-description{
			position: absolute;
			top : 0;
			overflow: scroll;
			border: none;
			max-height: 75vh;
			min-width: 100%;
			font-size: 1rem;
		}
	*{
		/* border: 2px solid red; */
	}
	.tarifs-section .p-container, .avis-container, .qui-container {
		border: none;
		max-width: 100%;
		max-height: 100%;
		overflow-y: scroll;
		padding: 1rem;
		border: none;
	}
	.tarifs-section button {
		display: none;
	}

	.locaux-container p {
		position: relative;
		top: 6rem;
		min-width: 100%;
		max-height:100vh ;
		border: none;
		padding: 1rem;
		margin-bottom: 6rem;
	}
	.locaux-section-h5, .reserve-h5, .avis-h5 {
		position: absolute;
		top: 3rem;
	}
	.piano-pic {
		display: block;
		max-width: 100%;
		position: relative;
	}
	.home-logo{
		display: block;
		max-width: 100%;
		max-height: 15rem;
	}
	.home-name {
		display: none;
	}
	.location {
		display: none;
	}
	.location-mobile-version {
		display: block;
		margin-top: 3rem;
		font-size: 1.2rem;
		max-width: 90%;
	}
	.mail, .tel {
		position: absolute;
		top: 0;
		right: 1rem;
		display: block;
		font-family: inherit;
		text-align: right;
		font-size: 1rem;
		color: var(--colorl);
		z-index: 999;
	}
	.tel {
		top: 1.5rem;
		/* right: 1rem; */
	}
	a {
		cursor: pointer;
	}
	.desktop-version-only {
		display: none;
	}
	.photos-section {
	flex-direction: column;
	justify-content: flex-start;
	flex-wrap: nowrap;
	height: fit-content;
	min-width: 100vw;
}
.photos-section img {
	max-width: 100%;
	border-radius: 1rem;
	position: relative;
}
.photos-section h5 {
	display: none;
}

}